Bug 1255986 - Screenshooter somehow writes prior screenshot to screen, the screenshoots it
Screenshooter somehow writes prior screenshot to screen, the screenshoots it
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xfce4-screenshooter (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Christoph Wickert
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-22 18:20 EDT by David Tonhofer
Modified: 2016-07-19 13:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 13:37:44 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Tonhofer 2015-08-22 18:20:21 EDT
Description of problem:
-----------------------

Press "Print Screen" to perform screenshot in XFCE (this is a dual monitor setup, but I'm not sure whether this is important)

Instead of grabbing the screen and displaying the scaled screen image in the screenshot dialog, the contents of the screen previously screenshot is displayed (partially, the content fills the currently displayed windows rectangles, background stays as it is), then this mangled screen is screenshot and the mangled scaled screen image is display in the screenshot dialog.

I deleted the screenshots in /tmp to see whether that would fix things. The mangling occurred only on the first try after deletion (very bizarre in any case, where would the information about the prior screen come from? It MUST come from the screenshot files in /tmp...).


Version-Release number of selected component (if applicable):
-------------------------------------------------------------

xfce4-screenshooter-1.8.2-4.fc22.x86_64

How reproducible:
-----------------

Happened once and could not make it go away. Deletion of screenshots in /tmp might have fixed this temporarily.
Comment 1 David Tonhofer 2015-08-22 18:24:11 EDT
Sorry, wrong info. The whole screen is overwritten, not only the active windows rectangles. But there is some clipping that occurs, but it does not seem related to anything.

To clean up, the screen has to be redrawn by using any windows as a "brush".
Comment 2 David Tonhofer 2015-08-23 07:00:42 EDT
Does not reappear after a reboot. Could be due to a partially updated system?
Comment 3 David Tonhofer 2015-08-23 17:46:53 EDT
No, it reappeared. It's intermittent.
Comment 4 Fedora End Of Life 2016-07-19 13:37:44 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.